cascading.flow.hadoop.util

## Interface ObjectSerializer

All Known Implementing Classes:
  JavaObjectSerializer

    public interface ObjectSerializer

Class ObjectSerializer is an experimental interface for allowing custom java.lang.Object subclass serialization other than via the java.io.Serializable interface.

To use, set the `OBJECT_SERIALIZER_PROPERTY` value on the flow configuration.

### Field Summary

Fields
`static java.lang.String` `OBJECT_SERIALIZER_PROPERTY`

### Method Summary

Methods
`<T> boolean` `accepts(java.lang.Class<T> type)`
`<T> T` `deserialize(byte[] bytes, java.lang.Class<T> type, boolean decompress)`
`<T> byte[]` `serialize(T object, boolean compress)`

### Field Detail

#### OBJECT_SERIALIZER_PROPERTY

    static final java.lang.String OBJECT_SERIALIZER_PROPERTY

See Also:
  Constant Field Values

### Method Detail

#### serialize

    <T> byte[] serialize(T object,
                       boolean compress)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserialize

    <T> T deserialize(byte[] bytes,
                    java.lang.Class<T> type,
                    boolean decompress)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### accepts

    <T> boolean accepts(java.lang.Class<T> type)